package electrosphere.game.data.item.type;

import electrosphere.entity.types.hitbox.HitboxData;
import electrosphere.game.data.creature.type.CollidableTemplate;
import java.util.List;

public class Item {
    String name;
    String modelPath;
    List<HitboxData> hitboxes;
    List<String> tokens;
    CollidableTemplate collidable;

    public String getName() {
        return name;
    }

    public String getModelPath() {
        return modelPath;
    }

    public List<HitboxData> getHitboxes() {
        return hitboxes;
    }

    public List<String> getTokens() {
        return tokens;
    }
    
    public CollidableTemplate getCollidable(){
        return collidable;
    }
    
    
}
